### Function

# Cogl glib_source_new

#### Declaration [src]

    GSource*
    cogl_glib_source_new (
      CoglRenderer* renderer,
      int priority
    )

#### Description [src]

Creates a `GSource` which handles Cogl’s internal system event processing.

#### Parameters

`renderer`

  Type: `CoglRenderer`

  A `CoglRenderer`.

  The data is owned by the caller of the function.

`priority`

  Type: `int`

  The priority of the `GSource`.

#### Return value

Type: `GSource`

A new `GSource`.

The caller of the function takes ownership of the data, and is responsible for freeing it.